Community
Showing results for 
Search instead for 
Do you mean 
Reply

ALERT update 4 patch breaks addons

Bronze Super Contributor
Posts: 1,265
Country: USA

ALERT update 4 patch breaks addons

[ Edited ]

The latest Act patch (update 4) breaks add-on... again...

Act! Premium (Web) Version 21.1.187.0, Update 4

 

I needed to restart PC twice and apply the patch three time then delete the DependentDLLs file.

ugh!

 

If you have Impact Suite installed instead of deleting the DependentDlls file you can launch the 

 

C:\Program Files (x86)\ACT\Act for Windows\Plugins\Durkin.Common.RestartACT.v9.exe

 

This small kicker EXE will force Act to reset the DependentDlls file.

 

 

New Member
Posts: 25
Country: United_Kingdom

Re: ALERT update 4 patch breaks addons

Thanks for this Jim.  Are you planning on releasing a version of this tool which doesnt require .net 3.5? We dont install .net 3.5 any more unless its required for the build (which is only developers at the moment) and it can be messy to try and install at a later date. At the moment the exe you list requires .net3.5 to run.

Copper Elite Contributor
Posts: 103
Country: Germany

Re: ALERT update 4 patch breaks addons

Not again...
Jan Teske
ACC
jbt consulting
Bronze Super Contributor
Posts: 1,265
Country: USA

Re: ALERT update 4 patch breaks addons

Version 10 due to be released Oct 2019 will be compiled against .Net 4

 

-- Jim Durkin

Highlighted
Silver Contributor
Posts: 1,808
Country: United_Kingdom

Re: ALERT update 4 patch breaks addons

It looks like the latest patch for ACT 21.1 will also only work with a late version of .NET 4 without problems.

 

Look at this Forum link -

 

https://community.act.com/t5/Act-Premium/w3wp-exe-using-99-CPU-and-1gb-of-RAM/td-p/359838